ADDUSER(8)

NOMBRE
adduser, addgroup - Añade un usuario o grupo al sistema

SINOPSIS
adduser [opciones] [--home DIRECTORIO] [--shell CONSOLA] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GRUPO | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] [--add_extra_groups] USUARIO

adduser --system [opciones] [--home DIRECTORIO] [--shell CONSOLA] [--no-create-home] [--uid ID] [--group | --ingroup GRUPO | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] USUARIO

addgroup [opciones] [--gid ID] grupo

addgroup --system [opciones] [--gid ID] grupo

adduser [opciones] usuario grupo

  OPCIONES COMUNES
[--quiet] [--debug] [--force-badname] [--help|-h] [--version] [--conf FICHERO]

DESCRIPCIÓN

adduser y addgroup añaden usuarios y grupos al sistema de acuerdo a las opciones de la línea de órdenes y a la configuración en /etc/adduser.conf. Ofrecen una interfaz más sencilla para programas de bajo nivel como useradd, groupadd y usermod, seleccionando valores para el identificador de usuario (UID) e identificador de grupo de usuarios (GID) conformes con las normas de Debian. También crean un directorio personal («/home/USUARIO») con la configuración predeterminada, ejecutan un script personalizado y otras funcionalidades. adduser y addgroup pueden ejecutarse de cinco maneras distintas:

  Añadir un usuario normal
Si se invoca con un argumento que no es ninguna opción y sin la opción --system o --group, adduser añadirá un usuario normal. adduser elegirá el primer UID disponible dentro del rango especificado para usuarios normales en el fichero de configuración. Puede elegir uno manualmente usando la opción --uid. Puede modificar el rango especificado en el fichero de configuración usando las opciones --firstuid y --lastuid. Por omisión, cada usuario en Debian GNU/Linux tiene su grupo correspondiente con el mismo nombre. Los grupos de usuarios permiten mantener directorios con permisos de escritura para un grupo de usuarios de forma sencilla añadiendo los usuarios apropiados al nuevo grupo, habilitando después el bit set-group-ID en el directorio, y comprobando que todos los usuarios tengan un umask de 002. Si esta opción se deshabilita definiendo USERGROUPS como no, todos los GID de usuario corresponderán a USERS_GID. Los grupos primarios de usuario también se pueden deshabilitar usando las opciones de la línea de órdenes --gid o --ingroup para establecer el grupo por id o por nombre, respectivamente. Así mismo, se pueden añadir usuarios a uno o más grupos definidos en «adduser.conf», bien definiendo ADD_EXTRA_GROUPS como 1 en «adduser.conf», o introduciendo «--add_extra_groups» en la línea de órdenes. adduser creará los directorios personales de acuerdo con DHOME, GROUPHOMES, y LETTERHOMES. El directorio personal se puede especificar mediante la opción de línea de órdenes --home, y la consola mediante la opción --shell. El bit set-group-ID del directorio personal está habilitado si USERGROUPS es yes, de forma que cualquier fichero creado en el directorio personal del usuario tendrá el grupo correcto. adduser copiará los ficheros desde SKEL en el directorio personal y preguntará por la información del campo gecos y por la clave. El campo gecos también se puede definir con la opción --gecos. Con la opción --disabled-login, la cuenta se creará pero estará deshabilitada hasta que se proporcione una clave. La opción --disabled-password no establecerá la clave, pero todavía será posible trabajar con la cuenta, por ejemplo mediante claves SSH RSA. Si existe el fichero /usr/local/sbin/adduser.local, se ejecutará después de que la cuenta de usuario esté lista, posibilitando realizar ajustes locales. Los argumentos que se pasan a adduser.local son:
nombre-usuario UID GID directorio-personal
La variable de entorno VERBOSE se define de acuerdo a la siguiente regla:

0 si se define --quiet

1 si no se definen ni --quiet ni --debug

2 si se define --debug
    (Se aplica lo mismo a la variable DEBUG, pero DEBUG está obsoleto y se eliminará en un versión futura de adduser.)

  Añadir un usuario del sistema
Si se invoca con un argumento que no es ninguna opción y la opción --system, adduser añadirá un un usuario del sistema. Si ya existe un usuario con el mismo nombre en el rango del sistema de UID (o si se especifica el UID y ya existe un usuario con ese UID), adduser abandonará con un aviso. Puede suprimir este aviso añadiendo «--quiet». adduser elegirá el primer UID disponible en el rango especificado en el fichero de configuración para usuarios del sistema (FIRST_SYSTEM_UID y LAST_SYSTEM_UID). Si desea un UID específico, lo puede especificar con la opción --uid. Por omisión, los usuarios del sistema se añaden al grupo nogroup. Para añadir el nuevo usuario del sistema a un grupo existente, use las opciones --gid o --ingroup. Para añadir el nuevo usuario del sistema a un grupo con su mismo ID, use la opción --group. El directorio personal se crea con las mismas normas que para los usuarios normales. Los nuevos usuarios del sistema tendrán como consola /bin/false (a menos que se modifique con la opción --shell), y tienen la clave deshabilitada. Los ficheros de configuración esqueleto no se copian.

  Añadir un grupo de usuarios
Si se invoca adduser con la opción --group y sin las opciones --system o addgroup respectivamente, añadirá un grupo de usuarios. Se elegirá un GID dentro del rango especificado en el fichero de configuración para los GID de sistema (FIRST_GID y LAST_GID). Puede anular este comportamiento introduciendo el GID con la opción --gid. El grupo se creará sin usuarios.

  Añadir un grupo del sistema
Si se invoca adduser con la opción --system se añadirá un grupo del sistema. Se elegirá un GID dentro del rango especificado en el fichero de configuración para los GID del sistema (FIRST_SYSTEM_GID, LAST_SYSTEM_GID). Puede especificar el GID con la opción --gid, anulando este comportamiento. El grupo se creará sin usuarios.

  Añadir un usuario existente a un grupo existente
Si se invoca con dos argumentos que no sean opciones, adduser añadirá un usuario existente a un grupo existente.

OPCIONES

--conf FICHERO
    Usa FICHERO en vez de /etc/adduser.conf.

--disabled-login
    No ejecuta passwd para establecer la clave. El usuario no podrá usar la cuenta hasta que se establezca una clave.

--disabled-password
    Como «--disabled-login», pero todavía es posible usar la cuenta, por ejemplo mediante claves SSH RSA, pero no usando autenticación de claves.

--force-badname
    Por omisión, el nombre de usuario y grupo se comparan con la expresión regular configurable NAME_REGEX definida en el fichero de configuración. Esta opción fuerza a adduser y addgroup a ser más indulgente en sus comprobaciones de la validez de un nombre.

--gecos GECOS
    Especifica el nuevo campo gecos para la entrada generada. adduser no solicitará esta información si se proporciona esta opción.

--gid ID
    Cuando se crea un grupo, esta opción fuerza el nuevo GID al número dado. Cuando se crea un usuario la opción añade el usuario a ese grupo.

--group
    Cuando se combina con --system, se crea un grupo con el ID y nombre del usuario del sistema. Si no se combina con --system, se crea un grupo con el nombre dado. Ésta es la acción predeterminada si el programa se invoca como addgroup.

--help
    Muestra unas instrucciones breves.

--home DIRECTORIO
    Usa DIRECTORIO para el directorio personal, en vez del predeterminado especificado en el fichero de configuración. Si el directorio no existe, se crea y se copian los ficheros de esqueleto.

--shell CONSOLA
    Usar CONSOLA como la consola de entrada del usuario, en vez del predeterminado especificado en el fichero de configuración.

--ingroup GRUPO
    Añade el nuevo usuario al GRUPO en vez de al grupo del usuario o el grupo predeterminado definido por USERS_GID en el fichero de configuración. Afecta al grupo principal de usuarios. Para añadir grupos adicionales, use la opción add_extra_groups.

--no-create-home
    No crea el directorio personal, incluso si no existe.

--quiet
    Elimina los mensajes informativos, sólo muestra avisos y errores.

--debug
    Muestra más información, útil si desea encontrar el origen de un problema con adduser.

--system
    Crea un usuario del sistema o grupo.

--uid ID
    Fuerza el nuevo identificador de usuario al número dado. adduser fallará si el UID ya está en uso.

--firstuid ID
    Modifica el primer UID del rango del cual se eligen los UID (anula el valor de FIRST_UID definido en el fichero de configuración).

--lastuid ID
    Modifica el último UID del rango del cual se eligen los UID (LAST_UID).

--add_extra_groups
    Añade un nuevo usuario a los grupos adicionales definidos en el fichero de configuración.

--version
    Muestra la versión e información acerca del copyright.

VALORES DE SALIDA

0   El usuario definido ya existe. Puede tener dos causas: El usuario se ha creado mediante adduser, o el usuario ya existía en el sistema antes de invocar adduser. Si adduser devuelve 0, invocar adduser por segunda vez con los mismos parámetros también devuelve 0.

1   Ha fallado la creación de un usuario o grupo porque ya existía con un UID/GID diferente del especificado. El nombre de usuario o grupo ha sido rechazado por no coincidir con la expresión regular configurada. Consulte adduser.conf(5). Una señal ha cancelado la ejecución de adduser.
    O por otras razones no documentadas que se muestran en el intérprete de órdenes. Puede entonces considerar eliminar --quiet para que adduser sea más informativo.

FICHEROS

/etc/adduser.conf
    El fichero de configuración predeterminado de adduser y addgroup.

VÉASE TAMBIÉN
adduser.conf(5), deluser(8), useradd(8), groupadd(8), usermod(8), Normas de Debian 9.2.2.

TRADUCTOR
Traducción de Rubén Porras Campo <debian-l10n-spanish@lists.debian.org> adduser.8 et .5.conf a la fin

COPYRIGHT
Copyright (C) 1997, 1998, 1999 Guy Maor. Modifications de Roland Bauerschmidt y Marc Haber. Parches adicionales por Joerg Hoh y Stephen Gran.
Copyright (C) 1995 Ted Hajek, con una gran aportación del adduser original de Debian
Copyright (C) 1994 Ian Murdock. adduser es software libre; lea la Licencia Pública General de GNU versión 2 o posterior para las condiciones de copia. No hay garantía.